Subject: Re: [ANNOUNCEMENT] New on sources: rxvt-2.7.2-1
From: Steve O <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 14 May 2001 07:17:38 -0700 (PDT)

Charles S. Wilson wrote:
> using your command on my WinNT machine, I get the
> stackdump when trying to run in native mode.  
> (X mode works fine on both machines). 

Thanks for isolating the problem to NT.  Very helpful.

I traced the segfault to a call to CreateWindow().
Since I haven't changed the CreateWindow parameters
and an older version works on NT, I'm left with the
fact that I moved the call to RegisterClass and 
the WndProc to a DLL.  I don't know why that would
cause CreateWindow to break. 

I'm able to single step up to the CreateWindow, and
catch the WM_CREATE message being processed by the 
WndProc.  It's after my WndProc returns DefWindowProc(...)
that CreateWindow tanks.

My net search only turned up a hint that I should add 
CS_GLOBALCLASS to the RegisterClass style.  That didn't
seem to help.  I also saw the recent posts about 
__declspec(dllimport) being important for variables,
but as far as I know I'm only using a couple of static
variables that are only used in the scope of the DLL.

I have two options, revert to an older version without
X support, or try to work around a bug that I don't 
understand.  

Any ideas?

Thanks,
-steve o

__________________________________________________
Do You Yahoo!?
Yahoo! Auctions - buy the things you want at great prices
http://auctions.yahoo.com/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple